/*
 * Myfreight Shipping WooCommerce Admin Order Script
 */
function block() {
	jQuery( '#woocommerce-order-items' ).block({
		message: null,
		overlayCSS: {
			background: '#fff',
			opacity: 0.6
		}
	});
}

function unblock() {
	jQuery( '#woocommerce-order-items' ).unblock();
}

function add_myfreight_shipping() {
	block.call();

	var data = {
		action   : 'woocommerce_add_order_myfreight_shipping',
		order_id : woocommerce_admin_meta_boxes.post_id,
		security : woocommerce_admin_meta_boxes.order_item_nonce,
		dataType : 'json'
	};

	jQuery.post( woocommerce_admin_meta_boxes.ajax_url, data, function( response ) {
		if ( response.success ) {
			jQuery( 'table.woocommerce_order_items tbody#order_shipping_line_items' ).append( response.data.html );
			window.wcTracks.recordEvent( 'order_edit_add_myfreight_shipping', {
				order_id: data.post_id,
				status: jQuery( '#order_status' ).val()
			});
		} else {
			window.alert( response.data.error );
		}
		unblock.call();
	});

	return false;
}

jQuery( '#woocommerce-order-items' ).on( 'click', 'button.add-order-myfreight-shipping', add_myfreight_shipping );

