/*
 * Myfreight Shipping WooCommerce Admin Settings Script
 */
function showBasicSettings() {
	var settingsForm = document.getElementById('mainform');
	if (this.checked) {
		settingsForm.classList.add('basic-settings-show');
	} else {
		settingsForm.classList.remove('basic-settings-show');
	}
}
function hideSurchargeSettings() {
	var surchargeTitle = document.getElementById('woocommerce_myfreightshipping_surcharge_settings_title');
	if (this.checked) {
		surchargeTitle.classList.add('surcharges-hide');
	} else {
		surchargeTitle.classList.remove('surcharges-hide');
	}
}
function hideAccountSettings() {
	var accountTitle = document.getElementById('woocommerce_myfreightshipping_account_settings_title');
	if (this.value == 'Myfreight') {
		accountTitle.classList.remove('myfreight-hide');
		accountTitle.classList.add('myparcel-hide');
	} else {
		accountTitle.classList.remove('myparcel-hide');
		accountTitle.classList.add('myfreight-hide');
	}
}
function initialiseMyfreightSettings() {
	showBasicSettings.call( document.getElementById('woocommerce_myfreightshipping_highlight_basic_settings') );
	hideSurchargeSettings.call( document.getElementById('woocommerce_myfreightshipping_surcharges_auto_update') );
	hideAccountSettings.call( document.getElementById('woocommerce_myfreightshipping_account_type') );
	document.getElementById('woocommerce_myfreightshipping_highlight_basic_settings').addEventListener('change',showBasicSettings,false);
	document.getElementById('woocommerce_myfreightshipping_surcharges_auto_update').addEventListener('change',hideSurchargeSettings,false);
	document.getElementById('woocommerce_myfreightshipping_account_type').addEventListener('change',hideAccountSettings,false);
}
document.addEventListener('DOMContentLoaded',initialiseMyfreightSettings);

