/*
 * Myfreight Shipping WooCommerce Dangerous Goods Helper Script
 */
jQuery.noConflict();

jQuery(document).ready(function() {
	/* Autocomplete for Dangerous Goods. */
	jQuery('input#product_dangerous_goods_data').autocomplete({
		minLength: 3,
		delay: 300,
		maxResults: 30,
		source: function(request, response) {
			var selections = [];
			for (var i=0; i < myfreightDGCodes.length; i++) {
				if (myfreightDGCodes[i].UN.includes(request.term) || myfreightDGCodes[i].Name.toLowerCase().includes(request.term.toLowerCase())) {
					selections.push({
//						label: "UN: " + myfreightDGCodes[i].UN + ", " + myfreightDGCodes[i].Name + ", Class: " + myfreightDGCodes[i].Class + ", SubRisk: " + myfreightDGCodes[i].SubRisk + ", PkgGrp: " + myfreightDGCodes[i].PkgGrp,
						value: "UN: " + myfreightDGCodes[i].UN + ", " + myfreightDGCodes[i].Name + ", Class: " + myfreightDGCodes[i].Class + ", SubRisk: " + myfreightDGCodes[i].SubRisk + ", PkgGrp: " + myfreightDGCodes[i].PkgGrp
//						UN: myfreightDGCodes[i].UN,
//						Name: myfreightDGCodes[i].Name,
//						Class: myfreightDGCodes[i].Class,
//						SubRisk: myfreightDGCodes[i].SubRisk,
//						PkgGrp: myfreightDGCodes[i].PkgGrp
					});
					if (selections.length >= this.options.maxResults) {
						break;
					}
				}
			}
			response(selections);
		}
	});

	jQuery(document).ajaxSuccess(function() {
		jQuery('input#product_dangerous_goods_data').autocomplete({
			minLength: 3,
			delay: 300,
			maxResults: 30,
			source: function(request, response) {
				var selections = [];
				for (var i=0; i < myfreightDGCodes.length; i++) {
					if (myfreightDGCodes[i].UN.includes(request.term) || myfreightDGCodes[i].Name.toLowerCase().includes(request.term.toLowerCase())) {
						selections.push({
//							label: "UN: " + myfreightDGCodes[i].UN + ", " + myfreightDGCodes[i].Name + ", Class: " + myfreightDGCodes[i].Class + ", SubRisk: " + myfreightDGCodes[i].SubRisk + ", PkgGrp: " + myfreightDGCodes[i].PkgGrp,
							value: "UN: " + myfreightDGCodes[i].UN + ", " + myfreightDGCodes[i].Name + ", Class: " + myfreightDGCodes[i].Class + ", SubRisk: " + myfreightDGCodes[i].SubRisk + ", PkgGrp: " + myfreightDGCodes[i].PkgGrp
//							UN: myfreightDGCodes[i].UN,
//							Name: myfreightDGCodes[i].Name,
//							Class: myfreightDGCodes[i].Class,
//							SubRisk: myfreightDGCodes[i].SubRisk,
//							PkgGrp: myfreightDGCodes[i].PkgGrp
						});
						if (selections.length >= this.options.maxResults) {
							break;
						}
					}
				}
				response(selections);
			}
		});
	});
});

